# reviewed at https://bugzilla.redhat.com/show_bug.cgi?id=513797

%global srcname cpufire_applet

Name:           gnome-applet-cpufire
Version:        1.6
Release:        3%{?dist}
Summary:        GNOME panel applet showing the CPU load as a fire

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://strongm.ath.cx/
Source0:        http://strongm.ath.cx/projects/cpufire/%{srcname}-%{version}.tar.gz
Patch0:         gnome-applet-cpufire-1.6-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-panel-devel >= 2.6
BuildRequires:  libgtop2-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-doc-utils
BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Requires:       gnome-panel, gnome-system-monitor
Provides:       cpufire-applet = %{version}

%description
A CPU load monitor, that comes as a gnome panel applet. CPU load is displayed
as a beautiful fire, the higher the flames the higher the CPU load.

%prep
%setup -qn %{srcname}-%{version}
%patch0 -p1 -b .dsofix


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
%find_lang %{srcname}-1.0


%clean
rm -rf %{buildroot}


%post
scrollkeeper-update -q -o %{_datadir}/omf/cpufire || :


%postun
scrollkeeper-update -q || :


%files -f %{srcname}-1.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/cpufire_applet
%{_libdir}/bonobo/servers/GNOME_CPUFireApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_CPUFireApplet.xml
%{_datadir}/cpufire-applet/
%doc %{_datadir}/gnome/help/cpufire/
%{_datadir}/omf/cpufire/


%changelog
* Wed Feb 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.6-3
- Add patch to fix DSO linking (#564800)

* Sun Jul 26 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.6-2
- Own %%{_datadir}/omf/cpufire/
- minor specfile clean ups from the review (#513797)

* Sun Jul 26 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.6-1
- Update to 1.6, fixed a bug introduced in 1.5

* Thu Jul 16 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.5-1
- Update to 1.5

* Fri Apr 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.4-1
- Update to 1.4

* Thu May 03 2007 Christoph Wickert <wickerpms at arcor.de> - 1.3-1
- Upadte to 1.3

* Tue Jul 18 2006 Christoph Wickert <wickerpms at arcor.de> - 1.2-1
- Upadte to 1.2

* Mon Sep 19 2005 Christoph Wickert <wickerpms at arcor.de> - 1.1-1
- Initial package for Fedora Extras.
